Announcement

Collapse
No announcement yet.

Hard Drive Crashed - Need to copy project from old computer

Collapse
X
  • Filter
  • Time
  • Show
Clear All
new posts

  • Hard Drive Crashed - Need to copy project from old computer

    Hi All,
    I am going through the pain after a windows 7 crash where I had to reinstall Windows 7 on a new hard drive.

    I still have access to the data from the old hard drive. The scriptcase backup I have is about two months old so I cannot use that.

    I was using scriptcase 7 (I think it was 7.1.21 from memory) and had PHP 5.3

    Could someone please explain how I can copy the old project data to my new installation? Can I reinstall scriptcase 7 (scriptcase website has an installer for 7.1) and copy the "v7" folder from old hard drive in to the "netmake" folder?

    Thank you,
    Aari

  • #2
    If the old hd is still functioning well then you can do a fresh install of SC7 and then xcopy the old instance of your old sc7 over your fresh installation. This way all (apache) processes will be installed ok. When you start SC7 you might get a licence issue, but you can request for a new licence at your customer pages within SC.
    Albert Drent
    aducom software netherlands
    scriptcase partner, reseller, support and (turn-key) development
    www.scriptcase.eu / www.scriptcase.nl

    Comment


    • #3
      Hi Albert,
      Thank you for your quick response.

      I have tried copying "v7" folder from old hard disk to the new installation. But it didn't work and i got an error 'page cannot load'. I have also tried below steps.

      When I installed scriptcase which downloaded from scriptcase.net website, it has installed v7.1 with php 5.4. Also noted that it has created folder named "v71" but my old installation had folder named "v7"

      1) copied all the contents from old "v7" folder to new "v71" folder but didn't work. Error: The webpage is not available

      2) copied old "scriptcase" folder inside "v7" folder into new "v71" installation. When i ran scriptcase i received a php error. It says current installation created for a different version of php.

      I think if i somehow install scriptcase with php 5.3 it might work. The issue is i cannot seem to find an old installer in scriptcase.net website.

      Could you please let me know if there anyway i can download an older installer.

      Thank you.

      Comment


      • #4
        Mmm, appearantly the download area is missing a download. Not much I can do. You could try to copy your folder from your old harddrive, install the apacheserver service manually and start it up to look. Theoretical this should work as I'm not aware of any other processes needed, but I recovered once by the method I described.
        Albert Drent
        aducom software netherlands
        scriptcase partner, reseller, support and (turn-key) development
        www.scriptcase.eu / www.scriptcase.nl

        Comment


        • #5
          Hi Albert,
          Finally, after doing many things and installing scriptcase manually all over again i was able to access settings page of my old installation. I quickly did a full backup. I was still getting errors when i ran scriptcase after manual installation. Anyway i was able to at least create a full backup.

          I uninstalled scriptcase and other components that i have manually installed and installed it again using auto installer. But i was still getting errors. I think that because of my manually installed crap still there.

          I have reformatted the new hard drive -> installed win 7 -> installed scriptcase with auto installer. Then scriptcase started without errors. I restored the backup i created earlier and it is now all good. Generated the code and all seems to be running ok.

          Thanks heaps Albert for your help and pointing me in the right direction.
          Regards,
          Aari

          PS: I thought i had active support but it was expired. I did not know that support tickets expiring in two months. Previously it was valid for 1 year? Somehow i missed the fine print when i upgraded my license this year and purchased 10 tickets hoping i have support for another year in an emergency. If i knew the expiry date stuff i wouldn't buy the tickets that time as i wasn't in need for support. Anyway my mistake.

          Comment


          • #6
            Originally posted by aari77 View Post
            Hi Albert,
            PS: I thought i had active support but it was expired. I did not know that support tickets expiring in two months. Previously it was valid for 1 year? Somehow i missed the fine print when i upgraded my license this year and purchased 10 tickets hoping i have support for another year in an emergency. If i knew the expiry date stuff i wouldn't buy the tickets that time as i wasn't in need for support. Anyway my mistake.
            No, I made the same 'mistake'. They changed the rules and now you buy a period of support in stead of number of tickets. A strange choice of SC, and I doubt if anyone will buy support. It wasn't good anyway (lol).
            Albert Drent
            aducom software netherlands
            scriptcase partner, reseller, support and (turn-key) development
            www.scriptcase.eu / www.scriptcase.nl

            Comment

            Working...
            X